이 페이지는 AI로 자동 번역되었으며 부정확한 내용이 포함될 수 있습니다. 번역 오류를 신고하려면 페이지 오른쪽 목차 아래에 있는 피드백 기능을 사용하세요.
콘텐츠 블록 정보 보기
get
/content_blocks/info
이 엔드포인트를 사용하여 기존 Content Blocks에 대한 정보를 호출할 수 있습니다.
필수 조건
이 엔드포인트를 사용하려면 content_blocks.info 권한이 있는 API 키가 필요합니다.
사용량 제한
이 엔드포인트에는 API 사용량 제한 설명서에 명시된 대로 기본 Braze 사용량 제한인 시간당 250,000건의 요청이 적용됩니다.
요청 매개변수
| 매개변수 | 필수 | 데이터 유형 | 설명 |
|---|---|---|---|
content_block_id |
필수 | 문자열 | 콘텐츠 블록 식별자입니다. API 호출을 통해 콘텐츠 블록 정보를 나열하거나 API 키 페이지로 이동한 다음 하단으로 스크롤하여 콘텐츠 블록 API 식별자를 검색하면 이 정보를 찾을 수 있습니다. |
include_inclusion_data |
선택 사항 | 부울 | true로 설정하면 API는 이 콘텐츠 블록이 포함된 Campaigns 및 Canvases의 메시지 변형 API 식별자를 반환하여 후속 호출에서 사용할 수 있습니다. 결과에는 아카이브되거나 삭제된 Campaigns 또는 Canvases는 제외됩니다. |
요청 예시
1
2
curl --location -g --request GET 'https://rest.iad-01.braze.com/content_blocks/info?content_block_id={{content_block_id}}&include_inclusion_data=false' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'
응답
1
2
3
4
5
6
7
8
9
10
11
12
13
{
"content_block_id": (string) the Content Block identifier,
"name": (string) the name of the Content Block,
"content": (string) the content in the Content Block,
"description": (string) the Content Block description,
"content_type": (string) the content type, html or text,
"tags": (array) An array of tags formatted as strings,
"created_at": (string) The time the Content Block was created in ISO 8601,
"last_edited": (string) The time the Content Block was last edited in ISO 8601,
"inclusion_count" : (integer) the inclusion count,
"inclusion_data": (array) the inclusion data,
"message": "success"
}
문제 해결
다음 표에는 반환될 수 있는 오류와 관련 문제 해결 단계가 나와 있습니다.
| 오류 | 문제 해결 |
|---|---|
Content Block ID cannot be blank |
콘텐츠 블록이 요청에 포함되어 있고 따옴표("")로 묶여 있는지 확인하세요. |
Content Block ID is invalid for this workspace |
이 콘텐츠 블록이 존재하지 않거나 다른 회사 계정 또는 워크스페이스에 있습니다. |
Content Block has been deleted—content not available |
이 콘텐츠 블록은 이전에 존재했을 수 있지만 삭제되었습니다. |
Include Inclusion Data—error |
이 매개변수는 부울 값(true 또는 false)만 허용합니다. include_inclusion_data 값이 따옴표("")로 묶이지 않았는지 확인하세요. 따옴표로 묶으면 값이 문자열로 전송됩니다. 자세한 내용은 요청 매개변수를 참조하세요. |
New Stuff!